Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMValidationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.schema.SOMValidationException

All Implemented Interfaces:
  Serializable

public class SOMValidationException
extends Exception

This class describes an error found during a validation procedure.

See Also:
  Serialized Form

Constructor Summary
`SOMValidationException(SOMObject ref, Node node, String message)`
`SOMValidationException(SOMObject ref, Node node, String message, Object[] messageArgs)`
`SOMValidationException(String message)`

Method Summary
`String` | `getMessage()`
`Node` | `getNode()` get a reference to the DOM Node that was in error.
`SOMObject` | `getReference()` get reference to the SOMObject that created the validation error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMValidationException

    public SOMValidationException(String message)

### SOMValidationException

    public SOMValidationException(SOMObject ref,
                                  Node node,
                                  String message)

### SOMValidationException

    public SOMValidationException(SOMObject ref,
                                  Node node,
                                  String message,
                                  Object[] messageArgs)

Method Detail

### getMessage

    public String getMessage()

### getReference

    public SOMObject getReference()

  get reference to the SOMObject that created the validation error.

  Returns:
    com.bea.schema.SOMObject

### getNode

    public Node getNode()

  get a reference to the DOM Node that was in error.

  Returns:
    org.w3c.dom.Node

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD